from aiogram.types.reply_keyboard import ReplyKeyboardMarkup, KeyboardButton

from load import messages


def checkout_btn() -> ReplyKeyboardMarkup:
    return ReplyKeyboardMarkup([[
        KeyboardButton(messages.all_right_message),
        KeyboardButton(messages.cancel_message)
    ]], resize_keyboard=True)


def confirm_all_info(load: bool = False):
    markup = ReplyKeyboardMarkup(resize_keyboard=True)
    markup.add(KeyboardButton(messages.all_right_message))
    if not load:
        markup.row(KeyboardButton(messages.save_and_continue))
    markup.row(KeyboardButton(messages.cancel_message))
    return markup
