from aiogram.types.reply_keyboard import ReplyKeyboardMarkup, KeyboardButton

from load import messages


def main_menu(active: bool = False) -> ReplyKeyboardMarkup:
    markup = ReplyKeyboardMarkup(resize_keyboard=True)
    if active:
        markup.add(KeyboardButton(messages.leave_work))
    else:
        markup.add(KeyboardButton(messages.on_work))
    markup.add(messages.back)
    return markup
