from aiogram.types.reply_keyboard import ReplyKeyboardMarkup, KeyboardButton

from load import messages


def load_info(data: bool = False):
    markup = ReplyKeyboardMarkup(resize_keyboard=True)
    if data:
        markup.row(KeyboardButton(messages.load_data))
    markup.row(KeyboardButton(messages.rewrite_data))
    return markup
