from aiogram.types import Message
from aiogram.dispatcher.filters import BoundFilter

from utils.database.base import get_operator


class IsOperator(BoundFilter):
    key = 'is_operator'

    def __init__(self, is_operator):
        self.is_operator = is_operator

    async def check(self, message: Message):
        return message.from_user.id in get_operator()
